Bug 1486794 - [ipa-replica-install] - 406 Client Error: Failed to validate message: Incorrect number of results (0) searching forpublic key for host [rhel-7.4.z]
Summary: [ipa-replica-install] - 406 Client Error: Failed to validate message: Incorre...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: ipa-qe
URL:
Whiteboard:
Keywords: ZStream
Depends On: 1477178
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-30 14:39 UTC by Oneata Mircea Teodor
Modified: 2017-10-19 15:12 UTC (History)
14 users (show)

(edit)
* Previously, the race condition during the IPA replica installation caused that the required entry was not present at the time it was requested from the database. Consequently, the IPA replica installation failed. The bug has been fixed, and the installation now continues only when the required entry is present.
Clone Of: 1477178
(edit)
Last Closed: 2017-10-19 15:12:49 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2935 normal SHIPPED_LIVE ipa bug fix update 2017-10-19 18:49:19 UTC

Description Oneata Mircea Teodor 2017-08-30 14:39:51 UTC
This bug has been copied from bug #1477178 and has been proposed to be backported to 7.4 z-stream (EUS).

Comment 3 Abhijeet Kasurde 2017-10-03 06:50:51 UTC
Verified using IPA version ::

ipa-server-4.5.0-21.el7_4.2.2.x86_64

Marking BZ as verified. Using automation, able to install 7 replica. No errors were seen.

# ipa-replica-manage list
ipareplica04.testrelm.test: master
ipareplica02.testrelm.test: master
ipareplica01.testrelm.test: master
ipaserver01.testrelm.test: master
ipareplica03.testrelm.test: master
ipareplica05.testrelm.test: master
ipareplica06.testrelm.test: master
ipareplica07.testrelm.test: master

Comment 6 errata-xmlrpc 2017-10-19 15:12:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2935


Note You need to log in before you can comment on or make changes to this bug.